#pragma once

#include "GradientStatic.h"
#include <Afxinet.h>

class CHTTPFile
{
	HINTERNET	m_hHTTPSession;
	HINTERNET	m_hIntSession;

	DWORD		m_dwTotalByte;
	DWORD		m_dwTransByte;
	DWORD		m_dwTransByteTotal;
	CWnd		*m_pProgress;
	CGradientStatic *m_pInfoWnd;
	//DWORD		*m_dwTrans;
	float*		m_pfProgressPercentage;
public:
	//CGradientStatic *m_pStatic;

	void SetProgressWnd( CWnd *pWnd , CGradientStatic *pInfoWnd ,float* pfProgressPercentage )
	{
		m_pProgress = pWnd;
		m_pInfoWnd = pInfoWnd;
		m_pfProgressPercentage = pfProgressPercentage;
	}

	CHTTPFile(void);
	~CHTTPFile(void);
	void Connect( CString strAddres, CString strDirectory, int nPort, CString strUsername, CString strPassword );
	//void TransferFile( CString strServerFilename, CString strClientFilename , CString strFilename ,DWORD dwTotalSize );	
	bool TransferFile( CString strServerFilename, CString strClientFilename , CString strFilename );	
	void Init(void);
};
